Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization.xml
Class XMLDescrWriter

    java.lang.Object
      |
      +--org.w3c.tools.resources.serialization.xml.XMLWriter
            |
            +--org.w3c.tools.resources.serialization.xml.XMLDescrWriter

public class XMLDescrWriter
extends XMLWriter
implements JigXML

Fields inherited from class org.w3c.tools.resources.serialization.xml.XMLWriter
`level, writer`

Fields inherited from interface org.w3c.tools.resources.serialization.xml.JigXML
`ARRAY_TAG, ATTRIBUTE_TAG, CHILD_TAG, CHILDREN_TAG, CLASS_ATTR, DESCR_TAG, dtd, FLAG_ATTR, iARRAY_TAG, iATTRIBUTE_TAG, iCHILD_TAG, iCHILDREN_TAG, iCLASS_ATTR, iDESCR_TAG, idtd, iFLAG_ATTR, iIMPLEMENTS_TAG, iINHERIT_TAG, iJXML_TAG, iLENGTH_ATTR, IMPLEMENTS_TAG, iNAME_ATTR, INHERIT_TAG, ins, iNULL, iRESARRAY_TAG, iRESOURCE_TAG, iVALUE_TAG, iversion, JXML_TAG, LENGTH_ATTR, NAME_ATTR, ns, NULL, RESARRAY_TAG, RESOURCE_TAG, VALUE_TAG, version`

Constructor Summary
`XMLDescrWriter(java.io.Writer writer)`

Method Summary
`protected void` | `closeDescription()`
`protected void` | `startDescription(ResourceDescription res)`
`protected void` | `startResource(ResourceDescription res)`
`protected void` | `writeAttributeDescription(AttributeDescription descr)`
`protected void` | `writeInherit(java.lang.String[] classes, int idx)`
`protected void` | `writeInterfaces(java.lang.String[] classes)`
`void` | `writeResourceDescription(ResourceDescription resource)`

Methods inherited from class org.w3c.tools.resources.serialization.xml.XMLWriter
`closeDocument, closeResource, encode, indent, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDescrWriter

    public XMLDescrWriter(java.io.Writer writer)

Method Detail

### startResource

    protected void startResource(ResourceDescription res)
                          throws java.io.IOException

### startDescription

    protected void startDescription(ResourceDescription res)
                             throws java.io.IOException

### closeDescription

    protected void closeDescription()
                             throws java.io.IOException

### writeInherit

    protected void writeInherit(java.lang.String[] classes,
                                int idx)
                         throws java.io.IOException

### writeInterfaces

    protected void writeInterfaces(java.lang.String[] classes)
                            throws java.io.IOException

### writeAttributeDescription

    protected void writeAttributeDescription(AttributeDescription descr)
                                      throws java.io.IOException

### writeResourceDescription

    public void writeResourceDescription(ResourceDescription resource)
                                  throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD